Yandex Cloud
КейсыДокументация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex MPP Analytics for PostgreSQL
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • List
        • GetAtRevision
        • Create
        • Update
        • Delete
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  1. Справочник API
  2. REST (англ.)
  3. ResourceGroup
  4. GetAtRevision

Managed Service for Greenplum® API, REST: ResourceGroup.GetAtRevision

Статья создана
Yandex Cloud
Обновлена 13 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response

Returns the specified resource group at revision.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-greenplum/v1/clusters/{clusterId}/resource_groups/at_rev

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Greenplum® cluster.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

revision

string (int64)

Cluster revision.

Value must be greater than 0.

resourceGroupName

string

Required field. Name of the resource group to get.

The string length in characters must be 3-200. Value must match the regular expression ^[^\|/*?.,;'<>]+$.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "isUserDefined": "boolean",
  "concurrency": "string",
  "cpuRateLimit": "string",
  "memoryLimit": "string",
  "memorySharedQuota": "string",
  "memorySpillRatio": "string",
  "cpuMaxPercent": "string",
  "cpuWeight": "string",
  "memoryQuota": "string",
  "minCost": "string"
}

ResourceGroup defines a resource group configuration shared between Greenplum and Apache Cloudberry,
but the two engines use different sets of fields.
Greenplum fields:

  • concurrency
  • cpu_rate_limit
  • memory_limit
  • memory_shared_quota
  • memory_spill_ratio
    Apache Cloudberry fields:
  • concurrency
  • cpu_max_percent
  • cpu_weight
  • memory_quota
  • min_cost
    The sets partially overlap (concurrency is common to both). Passing Greenplum-specific
    fields to a CloudBerry cluster or vice versa is not rejected at the proto level -
    field validation is performed at runtime by the service.

Field

Description

name

string

Required field. Name of the resource group.

The string length in characters must be 3-200. Value must match the regular expression ^[^\|/*?.,;'<>]+$.

isUserDefined

boolean

Determines whether the resource group is user-defined or system-defined:

  • true - resource group is user-defined;
  • false - resource group is system-defined.

concurrency

string (int64)

References to CONCURRENCY from gp resource group parameter

The minimum value is 0.

cpuRateLimit

string (int64)

References to CPU_RATE_LIMIT from gp resource group parameter

Acceptable values are 1 to 100, inclusive.

memoryLimit

string (int64)

References to MEMORY_LIMIT from gp resource group parameter

Acceptable values are 0 to 100, inclusive.

memorySharedQuota

string (int64)

References to MEMORY_SHARED_QUOTA from gp resource group parameter

Acceptable values are 0 to 100, inclusive.

memorySpillRatio

string (int64)

References to MEMORY_SPILL_RATIO from gp resource group parameter

Acceptable values are 0 to 100, inclusive.

cpuMaxPercent

string (int64)

References to CPU_MAX_PERCENT from Apache Cloudberry resource group parameter:
The maximum percentage of CPU resources the group can use.

cpuWeight

string (int64)

References to CPU_WEIGHT from Apache Cloudberry resource group parameter:
The scheduling priority of the resource group.

Acceptable values are 1 to 500, inclusive.

memoryQuota

string (int64)

References to MEMORY_QUOTA from Apache Cloudberry resource group parameter:
The memory limit (Mb) specified for the resource group.

minCost

string (int64)

References to MIN_COST from Apache Cloudberry resource group parameter:
The minimum cost of a query plan to be included in the resource group.

Была ли статья полезна?

Предыдущая
List
Следующая
Create
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»